Subject: Re: bug#54238: Fw: missing files from aspell-dict package

From: Ludovic Courtès <[email-masked]>
Date: Wed, 16 Mar 2022 14:52:59 +0100

Hello,

vapnik spaknik <[email-masked]> skribis:

> I have installed the latest versions of aspell & aspell-dict-en via guix on a foreign distro:
>
>> guix package --list-installed=aspell\*
> aspell                0.60.8               out    /gnu/store/xyz0ljdw4m25k8vhnl8261ywq7dvmr49-aspell-0.60.8
> aspell-dict-en    2020.12.07-0    out    /gnu/store/v90ifhzvln0p61i6xpadjj6qvjqvr4sb-aspell-dict-en-2020.12.07-0 
>
> However, when recollindex tries to run this aspell command it emits an error:
>
>> aspell --lang=en --encoding=utf-8 create master ~/recoll/aspdict.en.rws
> Error: The language "en" is not known. This is probably because: the file "/gnu/store/xyz0ljdw4m25k8vhnl8261ywq7dvmr49-aspell-0.60.8/lib/aspell-0.60/en.dat" can not be opened for reading.
>
> If I add a --data-dir option to point to the aspell-dict-en dir which contains en.dat I get a different error:
>> aspell --data-dir=~/.guix-profile/lib/aspell --lang=en --encoding=utf-8 create master ~/recoll/aspdict.en.rws
> Error: The file "~/.guix-profile/lib/aspell/iso-8859-1.cset" can not be opened for reading. 
>
> The aspell installation contains cset & cmap files in its lib/aspell-0.60/ subdir, but no dat files, whereas the aspell-dict-en contains dat files but not cset or cmap files. However, aspell expects them to be in the same directory, as they are in the debian aspell package (in /usr/lib/aspell).

I replied before seeing this bug report at
<https://lists.gnu.org/archive/html/help-guix/2022-03/msg00045.html>,
and asked the following questions:

> Normally ~/.guix-profile/etc/profile does:
> 
>   export ASPELL_DICT_DIR="$HOME/lib/aspell“
> 
> Can you confirm that’s the case?

and:

> I’m not familiar enough with Aspell.  Do you think this is a
> misconfiguration of the ‘aspell-dict-en’ package and possibly other
> ‘aspell-dict-’ packages?
> 
> --8<---------------cut here---------------start------------->8---
> $ find $(guix build aspell-dict-fr ) -name \*cset
> $ find $(guix build aspell-dict-fr ) -name \*cmap
> $ find $(guix build aspell-dict-en ) -name \*cmap
> --8<---------------cut here---------------end--------------->8---
> 
> Let us know if you have clues on how to fix it.

Thanks in advance for your help,
Ludo’.